%define module_version 1.08
%define module_name Storable-AMF
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Benchmark.pm) perl(Config.pm) perl(Devel/Peek.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/testlib.pm) perl(Fcntl.pm) perl(JSON/XS.pm) perl(List/Util.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(XSLoader.pm) perl(base.pm) perl(boolean.pm) perl(subs.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.08
Release: alt1.1
Summary: serializing/deserializing AMF0/AMF3 data
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Storable-AMF

Source0: http://cpan.org.ua/authors/id/G/GR/GRIAN/%{module_name}-%{module_version}.tar.gz

%description
This module is (de)serializer for Adobe's AMF0/AMF3 (Action Message Format ver 0-3).
This is only module and it recognize only AMF0 data. 
Almost all function implemented in C for speed. 
And some cases faster then Storable( for me always)
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes TODO examples
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1.1
- rebuild with perl 5.22

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- regenerated from template by package builder

* Wed Apr 01 2015 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- initial import by package builder

